#!/usr/bin/env python

from argparse import ArgumentParser
import json
from urllib import urlencode
from urllib2 import urlopen, HTTPError, URLError

def main(args):
	p = ArgumentParser("")
	p.add_argument("padid", help="the padid")
	p.add_argument("--startrev", type=int, default=0, help="starting revision")
	p.add_argument("--endrev", type=int, default=None, help="ending revision, default: last")
	p.add_argument("--padinfo", default="padinfo.json", help="padinfo, default: padinfo.json")
	p.add_argument("--showurl", default=False, action="store_true")
	args = p.parse_args(args)

	with open(args.padinfo) as f:
		info = json.load(f)
	apiurl =  "{0[protocol]}://{0[hostname]}:{0[port]}{0[apiurl]}{0[apiversion]}/".format(info)
	data = {}
	data['apikey'] = info['apikey']
	data['padID'] = args.padid.encode("utf-8")
	data['startRev'] = "{0}".format(args.startrev)
	if args.endrev != None:
		data['endRev'] = "{0}".format(args.endrev)
	requesturl = apiurl+'createDiffHTML?'+urlencode(data)
	if args.showurl:
		print requesturl
	else:
		print json.load(urlopen(requesturl))['data']['html']
